Debian Bug report logs - #188167
ITA: netenv -- Configure your system for different network environments.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 8 Apr 2003 11:33:02 UTC

Severity: normal

Fixed in version netenv/0.94.2-2

Done: frank@kuesterei.ch (Frank Küster)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Robert van der Meulen <rvdm@debian.org>
Subject: O: netenv -- Configure your system for different network environments.
Date: Tue, 8 Apr 2003 21:24:18 +1000
Package: wnpp
Severity: normal

The current maintainer of netenv, Robert van der Meulen <rvdm@debian.org>,
has orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: netenv
Binary: netenv
Version: 0.82-12
Priority: extra
Section: admin
Maintainer: Robert van der Meulen <rvdm@debian.org>
Architecture: any
Standards-Version: 2.4.1.0
Format: 1.0
Directory: pool/main/n/netenv
Files: f40331f985ef78aa5205b36c73b976f5 570 netenv_0.82-12.dsc
 702e6dba8256bfedd3823b451b79753d 37294 netenv_0.82.orig.tar.gz
 f510d51bbed2c8ae76d15a90f612864b 5573 netenv_0.82-12.diff.gz

Package: netenv
Priority: extra
Section: admin
Installed-Size: 151
Maintainer: Robert van der Meulen <rvdm@debian.org>
Architecture: i386
Version: 0.82-12
Depends: libc6 (>= 2.2.2-2)
Recommends: dialog
Filename: pool/main/n/netenv/netenv_0.82-12_i386.deb
Size: 42632
MD5sum: 140bd6c9b9ef9cee675add342c1a182c
Description: Configure your system for different network environments.
 Netenv creates a file containing variable assignments which reflect the
 current environment. It is especially useful for notebook computers, since
 it is used (if configured) by the PCMCIA setup scheme included in the
 Debian pcmcia-cs package and the plip setup script included as an example
 in this package.  You can also use netenv configure your windowmanager or
 your printing environment.
 .
 Note that you either have to specify a kernel parameter or enter the chosen
 environment by hand during boot time. The boot process will stop until you
 entered something.
Task: laptop

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yooseong Yang <yooseong@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 188167@bugs.debian.org (full text, mbox):

From: Yooseong Yang <yooseong@debian.org>
To: 188167@bugs.debian.org
Subject: Bug#188167: ITA
Date: Wed, 9 Apr 2003 11:13:17 +0900
retitle 188167 ITA: netenv -- Configure your system for different
network environments

thanks.

I'll take it.

-- 
--
Yooseong Yang  <yooseong@debian.org>
Debian(-KR) Developer 
<http://www.debian.org> <http://www.debian.or.kr>
<http://master.debian.or.kr/~yooseong>
------------------------------------------------
CCs of replies from mailing lists are encouraged



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 188167@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: yooseong@debian.org, 188167@bugs.debian.org
Cc: monga@debian.org, Frank Küster <frank@kuesterei.ch>, Bernhard Link <brlink@debian.org>
Subject: I would have also taken it, feel free to make use of what I've done so far
Date: Wed, 09 Apr 2003 15:38:08 +0200
Dear Yooseong, (and dear Mattia)

I was also intending to adopt the package (I had in fact contacted
Robert van der Meulen some weeks ago). Since I am not yet a Debian
developer, I asked a developer I knew (Bernhard Link) wether he would
sponsor it. He agreed in principle, only asked me to change its
maintainer scripts to use debconf. I've done that in the past weeks, and
also contacted the upstream developer, cleared some questions and
packaged the new version.

The package is near ready, the only thing is that I haven't set up
pbuilder yet and only built it on woody. Therefore, I have not contacted
Bernhard again (which I do now by Cc-ing him). Also, I have not yet
signed keys with anybody.

If you like, we can combine our efforts. Anyone could sponsor me taking
it over, if you think that is less work for you (or because you want to
introduce someone new to Debian), or I could just hand over what I've
done so far to Yooseong (or anybody) - you may freely use everything, of
course.

I have put what I have done so far on my web page,
http://www.kuesterei.ch/. There is one peculiarity about this: Upstream
numbered the pre-release-Versions of 0.94 just as we number Debian
Versions: 0.94-1, 0.94-2. Therefore I decided to use the (publically
unused) version 0.93 for the pre-0.94 stuff. The packages for 0.94 that
are also on the web page are my very first try, the ones I gave to
Bernhard first.

Bye, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 188167@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: 188167@bugs.debian.org
Subject: Re: I would have also taken it, feel free to make use of what I've done so far
Date: Fri, 11 Apr 2003 15:48:14 +0200
Dear all,

something weird has gone wrong. As you might have noticed, the files I
have uploaded for your inspection are messed up, because somehow a
native package has been built. I have been very buisy this week, so I
just uploaded what I found in my netenv directory.

I have not yet found out how this comes, excuse me.

Bye, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 188167@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: netenv orphaning Bug <188167@bugs.debian.org>
Subject: Re: I would have also taken it, feel free to make use of what I've done so far
Date: Fri, 11 Apr 2003 16:30:10 +0200
Hi all,

found out now, fixed it. Please find working files on
http://www.kuesterei.ch

Please apologize for any inconvenience,

Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Information forwarded to debian-bugs-dist@lists.debian.org, Yooseong Yang <yooseong@debian.org>, frank@kuesterei.ch, wnpp@debian.org:
Bug#188167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Telford <pxt@debian.org>:
Extra info received and forwarded to list. Copy sent to Yooseong Yang <yooseong@debian.org>, frank@kuesterei.ch, wnpp@debian.org. Full text and rfc822 format available.

Message #30 received at 188167@bugs.debian.org (full text, mbox):

From: Paul Telford <pxt@debian.org>
To: 188167@bugs.debian.org
Subject: Re: ITA: netenv -- Configure your system for different network environments
Date: Mon, 14 Jul 2003 10:58:26 -0700 (PDT)
Hi,

 Is there any status update on this package?  

Thanks,



--
Paul Telford | 1024D/431B38BA | pxt@debian.org | paul@droflet.net
       C903 0E85 9AF5 1B80 6A5F  F169 D7E9 4363 431B 38BA





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#188167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #35 received at 188167@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: Paul Telford <pxt@debian.org>
Cc: 188167@bugs.debian.org, <yooseong@debian.org>
Subject: Re: Bug#188167: ITA: netenv -- Configure your system for different network environments
Date: Tue, 15 Jul 2003 09:45:58 +0200
Paul Telford <pxt@debian.org> schrieb:

>  Is there any status update on this package?  

We are waiting for the 0.94 release to come. When Yooseong (Yooseong,
are you subscribed to the netenv package package tracking list? To be
sure, I put you into Cc:) said he would take it, I stepped in (saying I
had new packages nearly ready, and contacted the upstream author), and
we generally agreed that I should upload the packages with the help of a
sponsor.

I had prepared the packages based upon version 0.94 which is not yet
released, but bug-free AFAIS. The upstream author said (at the end of
April or early May) it would be ready within weeks, this is why I
decided to wait.

Since more and more people are getting impatient, see #114594
and #97944, action should probably be taken. However, I still think we
should give the upstream author time until the end of the summer
holidays. If 0.94 hasn't been released by mid august, I suggest, I will
ask my sponsor to upload the packages as they are with the (publicly
unused) version number 0.93.

Yours, Frank

-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Changed Bug title. Request was from frank@kuesterei.ch (Frank Küster) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#188167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Telford <pxt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #42 received at 188167@bugs.debian.org (full text, mbox):

From: Paul Telford <pxt@debian.org>
To: frank@kuesterei.ch
Cc: 188167@bugs.debian.org
Subject: Re: Bug#188167: ITA: netenv -- Configure your system for different network
Date: Tue, 19 Aug 2003 14:53:05 -0700 (PDT)
You wrote:
> However, I still think we should give the upstream author time until the
> end of the summer holidays. If 0.94 hasn't been released by mid august,
> I suggest, I will ask my sponsor to upload the packages as they are with
> the (publicly unused) version number 0.93.


Hi Frank,

 Have you heard any news?  With the recently announced sarge release 
schedule [1] it would be great to see this new package fix some of the 
outstanding bugs soon.

Thanks,


 Paul.

[1] http://lists.debian.org/debian-devel-announce/2003/debian-devel-announce-200308/msg00010.html



--
Paul Telford | 1024D/431B38BA | pxt@debian.org | paul@droflet.net
       C903 0E85 9AF5 1B80 6A5F  F169 D7E9 4363 431B 38BA





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#188167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #47 received at 188167@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: Paul Telford <pxt@debian.org>
Cc: 188167@bugs.debian.org
Subject: Re: Bug#188167: ITA: netenv -- Configure your system for different network
Date: Wed, 20 Aug 2003 10:56:58 +0200
Paul Telford <pxt@debian.org> schrieb:

> You wrote:
>> However, I still think we should give the upstream author time until the
>> end of the summer holidays. If 0.94 hasn't been released by mid august,
>> I suggest, I will ask my sponsor to upload the packages as they are with
>> the (publicly unused) version number 0.93.
>
>
> Hi Frank,
>
>  Have you heard any news?  With the recently announced sarge release 
> schedule [1] it would be great to see this new package fix some of the 
> outstanding bugs soon.

Yes, netenv-0.94 is out, and my package is practically ready. Bernhard
Link (brlink@debian.org) has agreed to sponsor it and is reviewing my
work currently. Basically he was satisfied with it, he only questioned
wether I should use debconf to configure it (as I did) or wether to
simply disable it before the user configured it manually, based on
examples I provide.

You can get and review the packages at http://www.kuesterei.ch, if you
like. The Debian revision 1.1 is because I made the mistake not to start
with 0.x for the first try I sent to Bernhard. I had some hits on these
files in my weblog, and therefore I wanted to indicate that something
has changed.

Thank you - I'm glad to hear that people are interested in the package.

Bye, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Reply sent to frank@kuesterei.ch (Frank Küster):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 188167-done@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: 188167-done@bugs.debian.org, 125179-done@bugs.debian.org, 114594-done@bugs.debian.org, 166948-done@bugs.debian.org, 166947-done@bugs.debian.org, 204080-done@bugs.debian.org, 59729-done@bugs.debian.org, 67513-done@bugs.debian.org, 97944-done@bugs.debian.org, 120299-done@bugs.debian.org,
Subject: sponsor forgot the -v Option to dpkg-buildpackage
Date: Thu, 18 Sep 2003 08:28:42 +0200
netenv (0.94.2-2) unstable; urgency=low

  * Bumped standards version to 3.6.1 (nothing to change)
  * Added linda overrides
  * Moved example files to their proper directory
  * Fixed error in config when pcmcia is used
  * trpnc is no longer used, it's now architecture: any (closes: #211298)
  * Updated description

 -- Frank Küster <frank@kuesterei.ch>  Wed, 17 Sep 2003 17:03:44 +0200

netenv (0.94.2-1.1) unstable; urgency=low

  * small changes, thanks to Bernhard Link <brlink@debian.org>

 -- Frank Küster <frank@kuesterei.ch>  Fri, 15 Aug 2003 13:14:07 +0200

netenv (0.94.2-1) unstable; urgency=low

  * New maintainer  (closes: #188167)
  * New upstream release (closes: #67513)
  * Doesn't start GUI if variable NETENV is set (closes: #59729)
  * Added a configuration file. There you can change variables from their
	  defaults. This is currently useful for NETENV_RUN_INIT_SCRIPTS, where
	  you can specify scripts in /etc/init.d/ that should be run when
	  changing configuration on the fly. It is further useful for the
	  timeout feature:
  * Added a NETENV_TIMEOUT variable that can be set in the config
	  file. Works only with dialog, not gdialog (but it's save). Split Bug
	  #82526 in two; (closes: #204080)
  * Moved NETENV_FIL from /etc/netenv/netenv to /var/tmp/netenv. Upstream
	  keeps it in /tmp, but there it will be immediately wiped out by
	  bootmisc.sh. /etc/ isn't the right place.
  * Introduced debconf. The postinst script has been completely rewritten,
	  and the config script now tries to read the current network parameters
	  from conffiles instead using commands.
	  (closes: #166947, #166948, #120299, #166948)
  * Package now depends on dialog or gnome-utils (which contain gdialog)
	  (closes: #97944)
  * The new upstream release uses uname -s to generate the title
    (closes: #114594)
  * Corrected wording in description (closes: #125179)
  * Added real manpages
  * Added Debian specific sections to the html documentation.

 -- Frank Küster <frank@kuesterei.ch>  Thu, 14 Aug 2003 10:26:00 +0200

-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:50:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.